Create world
curl --request POST \
--url https://api.wazoo.dev/v1/worlds \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"worldId": "<string>",
"world": {
"displayName": "<string>",
"region": "auto"
},
"ownerEmail": "jsmith@example.com",
"email": "jsmith@example.com"
}
'import requests
url = "https://api.wazoo.dev/v1/worlds"
payload = {
"worldId": "<string>",
"world": {
"displayName": "<string>",
"region": "auto"
},
"ownerEmail": "jsmith@example.com",
"email": "jsmith@example.com"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
worldId: '<string>',
world: {displayName: '<string>', region: 'auto'},
ownerEmail: 'jsmith@example.com',
email: 'jsmith@example.com'
})
};
fetch('https://api.wazoo.dev/v1/worlds', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"world": {
"name": "<string>",
"uid": "<string>",
"worldId": "<string>",
"displayName": "<string>",
"region": "<string>",
"restorable": true,
"backend": "worlds-api",
"createTime": "2023-11-07T05:31:56Z",
"updateTime": "2023-11-07T05:31:56Z",
"deleteTime": "2023-11-07T05:31:56Z",
"expireTime": "2023-11-07T05:31:56Z"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
},
"quota": {
"state": "<string>",
"reason": "<string>",
"usagePercent": 123
}
}Create world
POST
/
v1
/
worlds
Create world
Authorizations
Wazoo platform API token.
Body
application/json
Response
Created World
Hide child attributes
Hide child attributes
Available options:
ACTIVE, SUSPENDED, DELETED Available options:
worlds-api ⌘I